Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ClientBase Class Reference

An abstract base class for a family of client device interfaces--including trackers, buttons, dials, and other analog inputs. More...

Inheritance diagram for ClientBase:

List of all members.

## Public Member Functions
bool | forkAsynchronousThread (double poll_time)
| Forks a separate thread to do all the polling of connected devices.
CoordinateSystem | getCoordinateSystem ()
| Returns the coordinate system that all devices associated with this client will operate in.
double | getLastPollTime ()
| Returns the time (according to the global ClockObject's get_real_time() method) of the last device poll.
bool | isForked ()
| Returns true if the ClientBase has been forked (and, therefore, poll() does not need to be called), false otherwise.
bool | poll ()
| Initiates a poll of the client devices, if we are not forked and if we have not already polled this frame.
| setCoordinateSystem (CoordinateSystem cs)
| Specifies the coordinate system that all devices associated with this client will operate in.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

An abstract base class for a family of client device interfaces--including trackers, buttons, dials, and other analog inputs.

This provides a common interface to connect to such devices and extract their data; it is used by TrackerNode etc. to put these devices in the data graph.

## Member Function Documentation

bool forkAsynchronousThread | ( | double | poll_time | ) |

Forks a separate thread to do all the polling of connected devices.

The forked thread will poll after every poll_time seconds has elapsed. Returns true if the fork was successful, or false otherwise (for instance, because we were already forked, or because asynchronous threads are disabled).

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

Reimplemented in VrpnClient.

CoordinateSystem getCoordinateSystem | ( |  | ) |

Returns the coordinate system that all devices associated with this client will operate in.

Normally, this is CS_default.

double getLastPollTime | ( |  | ) |

Returns the time (according to the global ClockObject's get_real_time() method) of the last device poll.

bool isForked | ( |  | ) |

Returns true if the ClientBase has been forked (and, therefore, poll() does not need to be called), false otherwise.

bool poll | ( |  | ) |

Initiates a poll of the client devices, if we are not forked and if we have not already polled this frame.

Returns true if the poll occurred, or false if it did not.

setCoordinateSystem | ( | CoordinateSystem | cs | ) |

Specifies the coordinate system that all devices associated with this client will operate in.

Normally, this is CS_default.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties